QT       += core gui sql network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    PageWidget.cpp \
    addressfactory.cpp \
    addresspage.cpp \
    blastplanpage.cpp \
    blastplanpfactory.cpp \
    blastprojectfactory.cpp \
    blastprojectpage.cpp \
    book.cpp \
    buttondelegate.cpp \
    databasemanager.cpp \
    detInfo/detinfofactory.cpp \
    detInfo/detinfopage.cpp \
    detdialog.cpp \
    dialog.cpp \
    equipment/equipmentfactory.cpp \
    equipment/equipmentpage.cpp \
    global.cpp \
    hplan.cpp \
    hplandao.cpp \
    hproject.cpp \
    hprojectdao.cpp \
    httpclient.cpp \
    jobs.cpp \
    loginwindow.cpp \
    main.cpp \
    mainwindow.cpp \
    mqtt/mqttclient.cpp \
    newpagefactory.cpp \
    page.cpp \
    pagetest.cpp \
    pagetestfactory.cpp \
    plandialog.cpp \
    projectdialog.cpp \
    sysapi.cpp \
    sysapidao.cpp \
    testdialog.cpp

HEADERS += \
    PageWidget.h \
    addressfactory.h \
    addresspage.h \
    blastplanpage.h \
    blastplanpfactory.h \
    blastprojectfactory.h \
    blastprojectpage.h \
    book.h \
    buttondelegate.h \
    databasemanager.h \
    detInfo/detinfofactory.h \
    detInfo/detinfopage.h \
    detdialog.h \
    dialog.h \
    equipment/equipmentfactory.h \
    equipment/equipmentpage.h \
    global.h \
    hplan.h \
    hplandao.h \
    hproject.h \
    hprojectdao.h \
    httpclient.h \
    jobs.h \
    loginwindow.h \
    mainwindow.h \
    PageFactory.h\
    mqtt/mqttclient.h \
    newpagefactory.h \
    page.h \
    pagetest.h \
    pagetestfactory.h \
    plandialog.h \
    projectdialog.h \
    regex.h \
    sysapi.h \
    sysapidao.h \
    testdialog.h

FORMS += \
    PageWidget.ui \
    addresspage.ui \
    blastplanpage.ui \
    blastprojectpage.ui \
    detInfo/detinfopage.ui \
    detdialog.ui \
    dialog.ui \
    equipment/equipmentpage.ui \
    loginwindow.ui \
    mainwindow.ui \
    page.ui \
    pagetest.ui \
    plandialog.ui \
    projectdialog.ui \
    testdialog.ui
# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
QMAKE_PROJECT_DEPTH = 0
RESOURCES += \
    media.qrc
